io.vertx.rxjava.sqlclient

## Class Row

- java.lang.Object
- - io.vertx.rxjava.sqlclient.Tuple
  - - io.vertx.rxjava.sqlclient.Row

-     public class Row
      extends Tuple

  An object that represents a single row of the `execution result rowset`. Users can retrieve values with the `getByIndex` accessor methods or `getByColumnName` accessor methods, it's usually more efficient to use the former one because a column index lookup by could be saved.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Row>` | `__TYPE_ARG`
    `static Object` | `JSON_NULL` The JSON null literal value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Row(Object delegate)`
    `Row(Row delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `<T> T` | `get(Class<T> type, String name)` Like `Tuple.get(java.lang.Class<T>, int)` but specifying the column `name` instead of the position.
    `BigDecimal` | `getBigDecimal(String name)` Get value at `pos`.
    `BigDecimal[]` | `getBigDecimalArray(String name)` Get an array of value at `pos`.
    `Boolean` | `getBoolean(String name)` Get a boolean value at `pos`.
    `Boolean[]` | `getBooleanArray(String name)` Get an array of `Boolean` value at `pos`.
    `Buffer` | `getBuffer(String name)` Get a buffer value at `pos`.
    `int` | `getColumnIndex(String name)` Get a column position for the given column `name`.
    `String` | `getColumnName(int pos)` Get a column name at `pos`.
    `Row` | `getDelegate()`
    `Double` | `getDouble(String name)` Get a double value at `pos`.
    `Double[]` | `getDoubleArray(String name)` Get an array of `Double` value at `pos`.
    `Float` | `getFloat(String name)` Get a float value at `pos`.
    `Float[]` | `getFloatArray(String name)` Get an array of `Float` value at `pos`.
    `Integer` | `getInteger(String name)` Get an integer value at `pos`.
    `Integer[]` | `getIntegerArray(String name)` Get an array of `Integer` value at `pos`.
    `JsonArray` | `getJsonArray(String name)` Get a value at `pos`.
    `JsonArray[]` | `getJsonArrayArray(String name)` Get an array of value at `pos`.
    `JsonObject` | `getJsonObject(String name)` Get a value at `pos`.
    `JsonObject[]` | `getJsonObjectArray(String name)` Get an array of value at `pos`.
    `java.time.LocalDate` | `getLocalDate(String name)` Get `LocalDate` value at `pos`.
    `java.time.LocalDate[]` | `getLocalDateArray(String name)` Get an array of value at `pos`.
    `java.time.LocalDateTime` | `getLocalDateTime(String name)` Get `LocalDateTime` value at `pos`.
    `java.time.LocalDateTime[]` | `getLocalDateTimeArray(String name)` Get an array of value at `pos`.
    `java.time.LocalTime` | `getLocalTime(String name)` Get `LocalTime` value at `pos`.
    `java.time.LocalTime[]` | `getLocalTimeArray(String name)` Get an array of value at `pos`.
    `Long` | `getLong(String name)` Get a long value at `pos`.
    `Long[]` | `getLongArray(String name)` Get an array of `Long` value at `pos`.
    `java.time.OffsetDateTime` | `getOffsetDateTime(String name)` Get `OffsetDateTime` value at `pos`.
    `java.time.OffsetDateTime[]` | `getOffsetDateTimeArray(String name)` Get an array of value at `pos`.
    `java.time.OffsetTime` | `getOffsetTime(String name)` Get `OffsetTime` value at `pos`.
    `java.time.OffsetTime[]` | `getOffsetTimeArray(String name)` Get an array of value at `pos`.
    `Short` | `getShort(String name)` Get a short value at `pos`.
    `Short[]` | `getShortArray(String name)` Get an array of `Short` value at `pos`.
    `String` | `getString(String name)` Get a string value at `pos`.
    `String[]` | `getStringArray(String name)` Get an array of `String` value at `pos`.
    `java.time.temporal.Temporal` | `getTemporal(String name)` Get a temporal value at `pos`.
    `java.time.temporal.Temporal[]` | `getTemporalArray(String name)` Get an array of value at `pos`.
    `UUID` | `getUUID(String name)` Get `UUID` value at `pos`.
    `UUID[]` | `getUUIDArray(String name)` Get an array of value at `pos`.
    `Object` | `getValue(String name)` Get an object value at `pos`.
    `int` | `hashCode()`
    `static Row` | `newInstance(Row arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.Tuple

      `addBigDecimal, addBigDecimalArray, addBoolean, addBooleanArray, addBuffer, addDouble, addDoubleArray, addFloat, addFloatArray, addInteger, addIntegerArray, addJsonArray, addJsonArrayArray, addJsonObject, addJsonObjectArray, addLocalDate, addLocalDateArray, addLocalDateTime, addLocalDateTimeArray, addLocalTime, addLocalTimeArray, addLong, addLongArray, addOffsetDateTime, addOffsetDateTimeArray, addOffsetTime, addOffsetTimeArray, addShort, addShortArray, addString, addStringArray, addTemporal, addTemporalArray, addUUID, addUUIDArray, addValue, clear, deepToString, get, getBigDecimal, getBigDecimalArray, getBoolean, getBooleanArray, getBuffer, getDouble, getDoubleArray, getFloat, getFloatArray, getInteger, getIntegerArray, getJsonArray, getJsonArrayArray, getJsonObject, getJsonObjectArray, getLocalDate, getLocalDateArray, getLocalDateTime, getLocalDateTimeArray, getLocalTime, getLocalTimeArray, getLong, getLongArray, getOffsetDateTime, getOffsetDateTimeArray, getOffsetTime, getOffsetTimeArray, getShort, getShortArray, getString, getStringArray, getTemporal, getTemporalArray, getUUID, getUUIDArray, getValue, newInstance, of, of, of, of, of, of, size, tuple, tuple, wrap, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Row> __TYPE_ARG

    - #### JSON_NULL

          public static final Object JSON_NULL

      The JSON null literal value.
      It is used to distinguish a JSON null literal value from the Java `null` value. This is only used when the database supports JSON types.

  - ### Constructor Detail

    - #### Row

          public Row(Row delegate)

    - #### Row

          public Row(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Tuple`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Tuple`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Tuple`

    - #### getDelegate

          public Row getDelegate()

      Overrides:
        `getDelegate` in class `Tuple`

    - #### getColumnName

          public String getColumnName(int pos)

      Get a column name at `pos`.
      Parameters:
        `pos` - the column position
      Returns:
        the column name or `null`

    - #### getColumnIndex

          public int getColumnIndex(String name)

      Get a column position for the given column `name`.
      Parameters:
        `name` - the column name
      Returns:
        the column name or `-1` if not found

    - #### getValue

          public Object getValue(String name)

      Get an object value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBoolean

          public Boolean getBoolean(String name)

      Get a boolean value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getShort

          public Short getShort(String name)

      Get a short value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getInteger

          public Integer getInteger(String name)

      Get an integer value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLong

          public Long getLong(String name)

      Get a long value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getFloat

          public Float getFloat(String name)

      Get a float value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getDouble

          public Double getDouble(String name)

      Get a double value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getString

          public String getString(String name)

      Get a string value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonObject

          public JsonObject getJsonObject(String name)

      Get a value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonArray

          public JsonArray getJsonArray(String name)

      Get a value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBuffer

          public Buffer getBuffer(String name)

      Get a buffer value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### get

          public <T> T get(Class<T> type,
                           String name)

      Like `Tuple.get(java.lang.Class<T>, int)` but specifying the column `name` instead of the position.
      Parameters:
        `type` -
        `name` -
      Returns:

    - #### getTemporal

          public java.time.temporal.Temporal getTemporal(String name)

      Get a temporal value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDate

          public java.time.LocalDate getLocalDate(String name)

      Get `LocalDate` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalTime

          public java.time.LocalTime getLocalTime(String name)

      Get `LocalTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDateTime

          public java.time.LocalDateTime getLocalDateTime(String name)

      Get `LocalDateTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetTime

          public java.time.OffsetTime getOffsetTime(String name)

      Get `OffsetTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetDateTime

          public java.time.OffsetDateTime getOffsetDateTime(String name)

      Get `OffsetDateTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getUUID

          public UUID getUUID(String name)

      Get `UUID` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBigDecimal

          public BigDecimal getBigDecimal(String name)

      Get value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBooleanArray

          public Boolean[] getBooleanArray(String name)

      Get an array of `Boolean` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getShortArray

          public Short[] getShortArray(String name)

      Get an array of `Short` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getIntegerArray

          public Integer[] getIntegerArray(String name)

      Get an array of `Integer` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLongArray

          public Long[] getLongArray(String name)

      Get an array of `Long` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getFloatArray

          public Float[] getFloatArray(String name)

      Get an array of `Float` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getDoubleArray

          public Double[] getDoubleArray(String name)

      Get an array of `Double` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getStringArray

          public String[] getStringArray(String name)

      Get an array of `String` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonObjectArray

          public JsonObject[] getJsonObjectArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonArrayArray

          public JsonArray[] getJsonArrayArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getTemporalArray

          public java.time.temporal.Temporal[] getTemporalArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDateArray

          public java.time.LocalDate[] getLocalDateArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalTimeArray

          public java.time.LocalTime[] getLocalTimeArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDateTimeArray

          public java.time.LocalDateTime[] getLocalDateTimeArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetTimeArray

          public java.time.OffsetTime[] getOffsetTimeArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetDateTimeArray

          public java.time.OffsetDateTime[] getOffsetDateTimeArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getUUIDArray

          public UUID[] getUUIDArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBigDecimalArray

          public BigDecimal[] getBigDecimalArray(String name)

      Get an array of value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### newInstance

          public static Row newInstance(Row arg)

Copyright © 2020 Eclipse. All rights reserved.